Authen::Krb5::KeytabEntry(3pm)

NAME
Authen::Krb5::KeytabEntry - Entry in a Kerberos Keytab

VERSION
version 1.906

METHODS

  "new(principal, kvno, keyblock)"
Create a new Authen::Krb5::KeytabEntry object from an Authen::Krb5::Principal object, a key version number, and an Authen::Krb5::Keyblock object.

  "principal"
An Authen::Krb5::Principal object representing the principal contained in the entry.

  "timestamp"
The timestamp of the entry.

  "kvno"
The key version number of the key contained in the entry.

  "key"
An Authen::Krb5::Keyblock object representing a copy of the keyblock contained in the entry.

AUTHOR
Jeff Horwitz <jeff@smashing.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.